Subject: [RFC PATCH 08/15] ata: ahci_platform: Manage SATA PHY

From: [email-masked] (Sergei Shtylyov)
Date: Sun, 22 Sep 2013 22:24:36 +0400

Hello.

On 09/22/2013 08:58 PM, Tejun Heo wrote:

>> From: Balaji T K <[email-masked]>

>> Some platforms have a PHY hooked up to the
>> SATA controller. The PHY needs to be initialized
>> and powered up for SATA to work. We do that
>> using the PHY framework.

>> [Roger Q] Cleaned up.

>> CC: Tejun Heo <[email-masked]>
>> Signed-off-by: Balaji T K <[email-masked]>
>> Signed-off-by: Roger Quadros <[email-masked]>

> Looks okay to me although I don't know whether everyone using
> ahci_platform would be happy with requiring phy.  Sergei, does this
> look good to you?

    Not sure why you asked -- I'm not using this driver, neither I'm the 
author of it (former MV's Anton Vorontsov is IIRC). I've commented on the 
patch anyway though...

> Thanks.

WBR, Sergei